> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pacifica.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Loan Pool

> This endpoint returns the current state of the loan pool including utilization, borrow and lend rates.

```http theme={null}
GET /api/v1/loan_pool
```

#### Response

* Status 200: Success

```json theme={null}
{
  "success": true,
  "data": {
    "total_borrowed": "500000.000000",
    "total_borrowable": "2000000.000000",
    "utilization": "0.25",
    "borrow_rate_apr": "0.08",
    "borrow_rate_apy": "0.0833",
    "lend_rate_apr": "0.06",
    "lend_rate_apy": "0.0618",
    "utilization_max": "0.85",
    "auto_lender_entry_threshold": "1000.000000",
    "last_interest_accrual_at": 1716200000000,
    "last_interest_payout_at": 1716200000000,
    "updated_at": 1716200000000
  },
  "error": null,
  "code": null
}
```

<table><thead><tr><th width="208">Field</th><th width="186">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>"total\_borrowed"</code></td><td>decimal string</td><td>Total amount currently borrowed from the pool</td></tr><tr><td><code>"total\_borrowable"</code></td><td>decimal string</td><td>Total amount available to borrow</td></tr><tr><td><code>"utilization"</code></td><td>decimal string</td><td>Pool utilization ratio (borrowed / total)</td></tr><tr><td><code>"borrow\_rate\_apr"</code></td><td>decimal string</td><td>Current annualized borrow rate</td></tr><tr><td><code>"borrow\_rate\_apy"</code></td><td>decimal string</td><td>Current compounded annual borrow rate</td></tr><tr><td><code>"lend\_rate\_apr"</code></td><td>decimal string</td><td>Current annualized lending rate</td></tr><tr><td><code>"lend\_rate\_apy"</code></td><td>decimal string</td><td>Current compounded annual lending rate</td></tr><tr><td><code>"utilization\_max"</code></td><td>decimal string</td><td>Maximum utilization cap for the pool</td></tr><tr><td><code>"auto\_lender\_entry\_threshold"</code></td><td>decimal string</td><td>Minimum balance threshold to be included in auto-lending</td></tr><tr><td><code>"last\_interest\_accrual\_at"</code></td><td>integer or null</td><td>Timestamp of last interest accrual (ms). <code>null</code> if never accrued</td></tr><tr><td><code>"last\_interest\_payout\_at"</code></td><td>integer or null</td><td>Timestamp of last interest payout (ms). <code>null</code> if never paid out</td></tr><tr><td><code>"updated\_at"</code></td><td>integer</td><td>Timestamp of last update (ms)</td></tr></tbody></table>

* Status 500: Internal server error

#### Code Example (Python)

```python theme={null}
import requests

response = requests.get(
    "/api/v1/loan_pool",
    headers={"Accept": "*/*"},
)

data = response.json()
```
